Displaying 12 results from an estimated 12 matches for "start_log".
2009 May 21
1
[PATCH node] display descriptions for all disks
...iff --git a/scripts/ovirt-config-storage b/scripts/ovirt-config-storage
index be5aec0..671ad7d 100755
--- a/scripts/ovirt-config-storage
+++ b/scripts/ovirt-config-storage
@@ -36,15 +36,17 @@ logging_min_size=5
data_min_size=5
swap_min_size=5
-get_selected_drive_size()
+get_drive_size()
{
- start_log
+ local drive=$1
+ local space_var=$2
+
local size=
- local udi=$(hal-find-by-property --key block.device --string $DRIVE)
+ local udi=$(hal-find-by-property --key block.device --string $drive)
if [ -z "$udi" ]; then
# If hal didn't find the device, it c...
2009 May 22
0
[PATCH node] Restricts network configuration to a single NIC.
...+ "Abort") rm -f "${WORKDIR}"/augtool-*; exit 99;;
"Save & Exit") break 2;;
*)
if [[ -n "${NIC}" ]] && [[ "${NICS}" =~ "${NIC}" ]]; then
@@ -287,6 +304,12 @@ start_log
net_configured=0
if ls "$WORKDIR"/augtool-* > /dev/null 2>&1 ; then
log "Configuring network"
+
+ # delete existing scripts
+ for script in /etc/sysconfig/network-scripts/ifcfg-*; do
+ if [[ ! "${script}" =~ ifcfg-lo ]]; then rm -f $script...
2010 Apr 05
1
RESEND: [PATCH node 1/3] enables ability for a common shared root
...if [ "$OVIRT_ROOT_INSTALL" == "n" ]; then
+ log "done."
+ return
+ fi
+
local found_boot=false
if findfs LABEL=Boot 2>&1 >/dev/null ; then
found_boot=true
@@ -212,7 +218,12 @@ if [ -z "$doreboot" ]; then
fi
start_log
-ovirt_boot_setup "$live" "$bootparams"
+if [ "$OVIRT_ROOT_INSTALL" =="n" ]; then
+ log "done."
+ return
+else
+ ovirt_boot_setup "$live" "$bootparams"
+fi
rc=$?
if [ $rc -eq 0 -a "$doreboot" = "yes"...
2010 Apr 01
2
[PATCH node 1/3] Enables ability to have a common shared root
...if [ "$OVIRT_ROOT_INSTALL" == "n" ]; then
+ log "done."
+ return
+ fi
+
local found_boot=false
if findfs LABEL=Boot 2>&1 >/dev/null ; then
found_boot=true
@@ -212,7 +218,12 @@ if [ -z "$doreboot" ]; then
fi
start_log
-ovirt_boot_setup "$live" "$bootparams"
+if [ "$OVIRT_ROOT_INSTALL" =="n" ]; then
+ log "done."
+ return
+else
+ ovirt_boot_setup "$live" "$bootparams"
+fi
rc=$?
if [ $rc -eq 0 -a "$doreboot" = "yes"...
2010 Feb 24
5
New Storage related patches
This set of patches introduces support for multipath devices for
storage. Comments and suggestions are appreciated.
Mike
2009 May 27
4
[PATCH node] REPOST Joey's and Darryl's ovirt-config-* patches
This is a repost of patches for ovirt-config-*
ACK to all. Pushed.
2009 Oct 01
1
Repost of Patch 6/6 for ovirt-node
All other patches from the sequence remain unchanged. Repost of patch 6 based on comments from Joey to follow.
Mike
2009 Nov 04
1
[PATCH node] add ability to select separate disks for Root and HostVG in o-c-storage
...form_partitioning()
{
- log "Partitioning drive: $DRIVE"
- if [ -z "$DRIVE" ]; then
+ log "Partitioning drive: $ROOTDRIVE"
+ if [ -z "$HOSTVGDRIVE" ]; then
printf "\nNo storage device selected.\n"
return
fi
start_log
- log "Starting partitioning of $DRIVE"
+ log "Starting partitioning of $ROOTDRIVE"
log "Saving parameters"
unmount_config /etc/default/ovirt
@@ -326,40 +351,51 @@ perform_partitioning()
# FIXME: save a backup copy, just in case?
log "...
2009 Dec 10
0
[PATCH node] Enables stateless iscsi remote boot
...;y" ]]; then
printf "\nNo storage device selected.\n"
return
fi
+ if [[ -z "$BOOTDRIVE" && "$OVIRT_ISCSI_ENABLED" == "y" ]]; then
+ printf "\nNo storage device selected.\n"
+ return
+ fi
start_log
- log "Starting partitioning of $ROOTDRIVE"
log "Saving parameters"
unmount_config /etc/default/ovirt
@@ -366,24 +392,36 @@ perform_partitioning()
# begin critical section
set -e
- # FIXME: save a backup copy, just in case?
- log "Wiping old...
2010 Mar 31
1
[PATCH node] Handle space in storage wwid
...;$HOSTVGDRIVE" devs; then
for dev in $devs
do
printf "Removing HostVG on $dev will erase the drive and cannot be undone\n"
if ask_yes_or_no "Do you want to remove HostVG from $dev (y/n)?"; then
start_log
- if ! wipe_lvm_on_disk $dev; then
+ if ! wipe_lvm_on_disk "$dev"; then
stop_log
return 1
fi
@@ -379,7 +379,7 @@ do_configure()
fi
$skipped && printf &qu...
2010 Feb 10
1
RFC: First pass at making the node generic...
I'm looking for feedback on this first patch. The node has been pushed
towards a more generic boot process. With this patch the node can now
boot up and execute a few specifically-named scripts that reside in
/etc/node.d/ at key points during the startup.
After this goes upstream, the next step will be to define in more detail
the remote interfaces for the "managed" runtime
2009 Sep 26
10
Adding handling for Multipath storage devices
The following patches introduce support for multipath and cciss devices to the ovirt-node and node-image. Comments are appreciated.
These patches assume that the 3 patches (2 node, 1 node-image) from Joey are all incorporated.
Mike